"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const helpers_1 = require("./helpers");
function generateController(component) {
    if (helpers_1.checkLineExistsInFile("src/controllers/index.ts", component)) {
        return false;
    }
    fs_1.writeFileSync(`src/controllers/${component.toLocaleLowerCase()}.ts`, 'import { api } from "../api";\n');
    fs_1.appendFileSync("src/controllers/index.ts", `import "./${component.toLocaleLowerCase()}";\n`);
    return true;
}
exports.generateController = generateController;
